Bug Hunting Session
Bug 92586 - BASE: Bitmap background rendering problem when not tiled
Summary: BASE: Bitmap background rendering problem when not tiled
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.4.3.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.3 target:4.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-07-07 03:39 UTC by Doug
Modified: 2016-10-25 19:20 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
demonstration database: See Form1: most often replicates bug in edit mode (19.93 KB, application/vnd.sun.xml.base)
2015-07-07 03:39 UTC, Doug
Details
screenshot of visual aspect of bug (176.93 KB, image/png)
2015-07-07 03:43 UTC, Doug
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Doug 2015-07-07 03:39:49 UTC
Created attachment 117095 [details]
demonstration database:  See Form1: most often replicates bug in edit mode

Beginning in LO 4.4 the Bitmap background among the Page options for Forms is broken.  Specifically, if a bitmap is selected as the background for a form, and the bitmap is not tiled, all/many controls on the form will randomly be rendered incorrectly in duplicative form.  This is most obvious during incremental scroll, often in edit mode, where the controls and bitmap image are repetitively re-drawn/painted all the way down the form.

The bug renders the bitmap background unreliable/unusable for Base forms.

Windows 7 confirmed LO 5.0.0.2 first appeared I think LO 4.4, possibly 4.3.
Comment 1 Doug 2015-07-07 03:43:25 UTC
Created attachment 117097 [details]
screenshot of visual aspect of bug

this is a screenshot of Form1 from the demonstration database in Edit mode, scrolling up and down.  The bitmap is a standard rose which comes prepackaged with LO.  Critically, the option for 'tiled' was unchecked.  Similar artifacts happen sometimes with the form in data entry mode, but not as reliably.  However, this bug was noticed during normal use of larger form.
Comment 2 Alex Thurgood 2015-07-12 11:28:32 UTC
Confirming on

Version: 5.1.0.0.alpha1+
Build ID: 9136f2344af88d524b6c10b6b2dfd6017bba60ec
Locale: fr-FR (fr.UTF-8)

OSX 10.10.4

How to reproduce :

1) Open attached ODB file.
2) open form in Design Mode.
3) Scroll up and down with the mouse, watch the images smear...
Comment 3 Alex Thurgood 2015-07-12 11:31:55 UTC
No smearing in 

Version: 4.3.5.2
Build ID: 3a87456aaa6a95c63eea1c1b3201acedf0751bd5

==>> regression
Comment 4 Julien Nabet 2015-07-14 20:38:40 UTC
On pc Debian x86-64 with master sources updated today, I don't have the same artefact but it seems, I'm not sure, it wasn't ok.
I tested with:
SAL_USE_VCLPLUGIN=gtk
SAL_USE_VCLPLUGIN=gen
and by default (in my case gtk3)

I noticed this kind of log on console:
warn:sw.resizeview:3065:1:sw/source/core/view/vdraw.cxx:237: Trying to move anchor from invalid page - fix layouting!

Finally, I noticed that if I click somewhere on the screen (after having scrolled), the cursor comes back to the very beginning of the form (+ automatic scroll up to the beginning)
Comment 5 Doug 2015-07-14 21:15:12 UTC
the scroll-jump noted by Julien is an implication of the paragraph anchoring implemented in Base.  You can type directly into the forms as if it is a word processing document, but I have not done so in the demo database so it is jumping to the invisible paragraph at the top when you click on the background.  the scrolling/jump can be worked around by adding carriage returns all the way down the form but I have commented elsewhere that is not an ideal implementation for a Base Form, considering the use of label controls etc.
Comment 6 Doug 2015-07-17 02:13:10 UTC
the issue remains the same in LO 5.0.0.3 Windows 7/64-bit.  It is consistent when opening Form1 in edit mode.
Comment 7 Matthew Francis 2015-08-12 07:27:00 UTC
The original background disappeared as of (1), then the visual corruption on scrolling started as of (2). I still see this in recent 5.1 on Linux.

Adding Cc: to vmiklos@collabora.co.uk, mstahl@redhat.com; Could you possibly take a look at this one? Thanks

(1)
    commit 7d9bb549d498d6beed2c4050c402d09643febdfa
    Author:     Armin Le Grand <alg@apache.org>
    AuthorDate: Mon Jun 2 15:00:50 2014 +0000
    Commit:     Miklos Vajna <vmiklos@collabora.co.uk>
    CommitDate: Tue Jul 1 13:30:09 2014 +0200
    
        Related: #i124638# Second step of DrawingLayer FillAttributes...
    
        for Writer objects, now added support for Paragraph and PageStyle (including
        Header and Footer) for direct attributes and style attributes
    
        (cherry picked from commit cc25c58f7052827bfebdc9fbeec668c8fa29ed1b)


(2)
    commit 65a56636a68451d15499a37c2d5bd9efb71b1279
    Author:     Michael Stahl <mstahl@redhat.com>
    AuthorDate: Tue Apr 14 10:37:01 2015 +0200
    Commit:     Michael Stahl <mstahl@redhat.com>
    CommitDate: Tue Apr 14 17:29:36 2015 +0200
    
        tdf#88337 tdf#89193: sw: add missing SwXPageStyle properties
    
        Add the fill style properties so background images etc. are not lost.
    
        (regression from 7d9bb549d498d6beed2c4050c402d09643febdfa)
    
        Change-Id: I517350eec2f32e4b4bb80427666aad23a31d666a
Comment 8 Commit Notification 2015-09-14 07:11:18 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6621da38b3cd217314c2d2295fd1e71be7e1875e

tdf#92586 xmloff: fix import of stretched background image

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-09-15 14:17:18 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a5df43611bb27491961f97b758b1c7fc0b3158b0&h=libreoffice-5-0

tdf#92586 xmloff: fix import of stretched background image

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-09-17 08:08:09 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c2927e3f6dcd83ecac39b6a3bb3774d3faa0e22&h=libreoffice-4-4

tdf#92586 xmloff: fix import of stretched background image

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Robinson Tryon (qubit) 2015-12-17 09:18:05 UTC Comment hidden (obsolete)